
// Utility to concatenate binary files
// Usage: combine file1 file2 ... filen -o file.out
// 03/02/2005
//
// This utility is used to combine the Montezuma Micro CP/M v2.32
// assembled files for BOOT, CCP, BDOS, and BIOS into a SYSTEM
// binary file that can be written to disk using the modified
// M4SYSGEN program.
//

#include	<stdio.h>
#include	<string.h>

#define	BFRSIZE	(1024 * 64)		// 64KB buffer
#define	byte		unsigned char

int	append(FILE *out, FILE *in);

byte	buffer[BFRSIZE];
char	fname[128];

int main(int argc, char *argv[])
{
	int	i, outputarg = 0, optionarg = 0;
	char	*str;
	FILE	*fpi, *fpo;

	if (argc < 4)
	{
		printf("\n\nUsage: %s file1 file2 ... fileN -o file.out\n\n", argv[0]);
		return 1;
	}

	for (i=1; i<argc; i++)
	{
		str = argv[i];

		if (optionarg && !outputarg)
		{
			outputarg = i;
			strcpy(fname, argv[i]);
		}

		if (*str == '-')
		{
			str++;

			if (*str == 'o')
			{
				optionarg = i;
				str++;

				if (strlen(str) > 0)
				{
					outputarg = i;
					strcpy(fname, str);
				}
			}
		}
	}

	fpo = fopen(fname, "wb");

	if (!fpo)
	{
		printf("\n\nCan't create output file %s\n\n", fname);
		return 1;
	}

	for (i=1; i<argc; i++)
	{
		if (i != optionarg && i != outputarg)
		{
			printf("%s\n", argv[i]);

			fpi = fopen(argv[i], "rb");

			if (!fpi)
			{
				printf("\nCan't open file %s\n\n", argv[i]);
				fclose(fpo);
				return 1;
			}

			append(fpo, fpi);
			fclose(fpi);
		}
	}

	fflush(fpo);
	fclose(fpo);
	return 0;
}

int append(FILE *fo, FILE *fi)
{
	int	count, total = 0;

	while (!feof(fi))
	{
		count = fread(buffer, sizeof(byte), BFRSIZE - 1, fi);
		total += count;

		if (count)
			fwrite(buffer, sizeof(byte), count, fo);
	}

	return total;
}

// end of file

