;
; Base addresses for Montezuma Micro CP/M
; for the Radio Shack Model 4 computer.
; BIOS version 2.32
;
MEMORY	equ	63	; MM CP/M 63K system
;
ccpsize		equ	0800h	; 2,048 bytes for CCP
bdossize	equ	0e00h	; 3,584 bytes for BDOS
biossize	equ	0f00h	; 3,840 bytes for BIOS
;
ccpbase		equ	(MEMORY-11)*1024
bdosbase	equ	ccpbase+ccpsize
biosbase	equ	bdosbase+bdossize
;
; Examples:
;
; 64k system
;ccpbase 0d400h, bdosbase 0dc00h, biosbase 0ea00h
;
; 63k system
;ccpbase 0d000h, bdosbase 0d800h, biosbase 0e600h
;
; 62k system
;ccpbase 0cc00h, bdosbase 0d400h, biosbase 0e200h
;
; Default disk definitions.
; Equ ONLY ONE of the following to 1.
;
mmsd40	equ	0	; 40t, ss, dd, 170k, 40 track standard SS system disk
mmdd40	equ	0	; 40t, ds, dd, 350k, 40 track standard DS system disk
mmsd80	equ	0	; 80t, ss, dd, 350k, 80 track standard SS system disk
mmdd80	equ	0	; 80t, ds, dd, 710k, 80 track standard DS system disk
mmdde80	equ	1	; 80t, ds, dd, 790k, 80 track extended DS system disk
;
; Standard MM disk drive formats
;-------------------------------
;
; Montezuma Micro Standard SYSTEM (40T, SS, DD, 170K) - mmsd40
; DBP for this format
;	db	24h,0,4,0fh,1,54h,0,7fh
;	db	0,0c0h,0,20h,0,2,0
; DPB extensions
;	db	12h,1,28h,0,80h,0,0,0
;	db	0,0,0,0,0,0,0,0,0
; interleave
;	db	1,3,5,7,9,0bh,0dh,0fh
;	db	11h,2,4,6,8,0ah,0ch,0eh
;	db	10h,12h,0,0,0,0,0,0
;	db	0,0,0,0,0,0
; 
; Montezuma Micro Standard DS SYSTEM (40T, DS, DD, 350K) - mmdd40
; DBP for this format
;	db	24h,0,4,0fh,1,0aeh,0,7fh
;	db	0,0c0h,0,20h,0,2,0
; DPB extensions
;	db	12h,1,28h,0,0c0h,0,0,0
;	db	0,0,0,0,0,0,0,0,0
; interleave
;	db	1,3,5,7,9,0bh,0dh,0fh
;	db	11h,2,4,6,8,0ah,0ch,0eh
;	db	10h,12h,0,0,0,0,0,0
;	db	0,0,0,0,0,0
; 
; Montezuma Micro 80T SYSTEM (80T, SS, DD, 350K) - mmsd80
; DBP for this format
;	db	24h,0,4,0fh,1,0aeh,0,7fh
;	db	0,0c0h,0,20h,0,2,0
; DPB extensions
;	db	12h,1,50h,0,80h,0,0,0
;	db	0,0,0,0,0,0,0,0,0
; interleave
;	db	1,3,5,7,9,0bh,0dh,0fh
;	db	11h,2,4,6,8,0ah,0ch,0eh
;	db	10h,12h,0,0,0,0,0,0
;	db	0,0,0,0,0,0
; 
; Montezuma Micro 80T DS SYSTEM (80T, DS, DD, 710K) - mmdd80
; DBP for this format
;	db	24h,0,4,0fh,0,62h,1,7fh
;	db	0,0c0h,0,20h,0,2,0
; DPB extensions
;	db	12h,1,50h,0,0c0h,0,0,0
;	db	0,0,0,0,0,0,0,0,0
; interleave
;	db	1,3,5,7,9,0bh,0dh,0fh
;	db	11h,2,4,6,8,0ah,0ch,0eh
;	db	10h,12h,0,0,0,0,0,0
;	db	0,0,0,0,0,0
; 
; Montezuma Micro Extended 80T DS SYSTEM (80T, DS, DD, 790K) - mmdde80
; DBP for this format
;	db	28h,0,4,0fh,0,8ah,1,7fh
;	db	0,0c0h,0,20h,0,2,0
; DPB extensions
;	db	0ah,2,50h,0,0c0h,0,0,0
;	db	0,0,0,0,0,0,0,0,0
; interleave
;	db	1,3,5,7,9,2,4,6
;	db	8,0ah,0,0,0,0,0,0
;	db	0,0,0,0,0,0,0,0
;	db	0,0,0,0,0,0
; 

